package io.renren.modules.business.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import io.renren.modules.business.entity.BusinessMoneyEntity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 
 * 
 * @author jiaqiao
 * @email jiaqiao@163.com
 * @date 2023-02-10 10:13:09
 */
@Mapper
public interface BusinessMoneyDao extends BaseMapper<BusinessMoneyEntity> {
    List<BusinessMoneyEntity> queryList(Map<String, Object> params);

    List<BusinessMoneyEntity> quaryListNoPage(Map<String, Object> params);

    BusinessMoneyEntity queryById(@Param("date") String params);

    /**
     * 审批不通过
     * @param approvalId
     */
    void updateNoPassByIds(String approvalId);

    List<Map<String, Object>> getRymx(String projectId);
}
